export const SET_PLAYLIST = "SET_PLAYLIST";
export const LOADING = "LOADING";
export const OPEN_PLAYLIST_MODAL_VISIBLE = "OPEN_PLAYLIST_MODAL_VISIBLE";
export const CLOSE_PLAYLIST_MODAL_VISIBLE = "CLOSE_PLAYLIST_MODAL_VISIBLE";

export const CHANGE_PLAYLIST_TITLE = "CHANGE_PLAYLIST_TITLE";
export const CREATE_PLAYLIST = "CREATE_PLAYLIST";

export const OPEN_PLAYLISTINFO_MODAL_VISIBLE =
  "OPEN_PLAYLISTINFO_MODAL_VISIBLE";
export const CLOSE_PLAYLISTINFO_MODAL_VISIBLE =
  "CLOSE_PLAYLISTINFO_MODAL_VISIBLE";

export const OPEN_ADD_SONGS_MODAL_VISIBLE = "OPEN_ADD_SONGS_MODAL_VISIBLE";
export const CLOSE_ADD_SONGS_MODAL_VISIBLE = "CLOSE_ADD_SONGS_MODAL_VISIBLE";

export const DELETE_PLAYLIST = "DELETE_PLAYLIST";

export const ADD_SONG_TO_PLAYLIST = "ADD_SONG_TO_PLAYLIST";

export const HANDLE_AUTOPLAY = "HANDLE_AUTOPLAY";

export const TOGGLE_DOWNLOAD_PLAYLIST = "TOGGLE_DOWNLOAD_PLAYLIST";
export const UPDATE_DOWNLOADAUDIO_ARRAY = "UPDATE_DOWNLOADAUDIO_ARRAY";
export const SET_SONG_AUDIOS_FROM_DOWNLOAD = "SET_SONG_AUDIOS_FROM_DOWNLOAD";
export const PLAY_SONG_FROM_DOWNLOAD  = "PLAY_SONG_FROM_DOWNLOAD"
export const STOP_SONG_FROM_DOWNLOAD  = "STOP_SONG_FROM_DOWNLOAD ";
export const PAUSE_SONG_FROM_DOWNLOAD  = "PAUSE_SONG_FROM_DOWNLOAD ";
export const RESUME_SONG_FROM_DOWNLOAD  = "RESUME_SONG_FROM_DOWNLOAD ";
export const SHOW_MINI_PLAYER_DOWNLOAD = "SHOW_MINI_PLAYER_DOWNLOAD";
export const HIDE_MINI_PLAYER_DOWNLOAD = "HIDE_MINI_PLAYER_DOWNLOAD";

export const FETCH_ALL_AUDIOS_SUCCESS = "FETCH_ALL_AUDIOS_SUCCESS";
export const FETCH_ALL_AUDIOS_FAILURE = "FETCH_ALL_AUDIOS_FAILURE";
export const REMOVE_SONG_FROM_PLAYLIST = "REMOVE_SONG_FROM_PLAYLIST";

export const SET_SONG_INDEX = "SET_SONG_INDEX";
export const SET_SONG_AUDIOS = "SET_SONG_AUDIOS";

export const SET_AUDIO_TITLE = "SET_AUDIO_TITLE";

export const PLAY_SONG = "PLAY_SONG";
export const STOP_SONG = "STOP_SONG";
export const PAUSE_SONG = "PAUSE_SONG";
export const RESUME_SONG = "RESUME_SONG";
export const MOVE_FORWARD = "MOVE_FORWARD";
export const MOVE_BACKWARD = "MOVE_BACKWARD";
export const TOGGLE_FULL_SIZE = "TOGGLE_FULL_SIZE";
export const SHOW_MINI_PLAYER = "SHOW_MINI_PLAYER";
export const HIDE_MINI_PLAYER = "HIDE_MINI_PLAYER";
export const GET_USER_AUDIO_SUCCESS = "GET_USER_AUDIO_SUCCESS";
export const GET_USER_AUDIO_FAILURE = "GET_USER_AUDIO_FAILURE";
export const AUDIOMODE_SET_SUCCESS = "AUDIOMODE_SET_SUCCESS";
export const AUDIOMODE_SET_FAILURE = "AUDIOMODE_SET_FAILURE";
export const LOGOUT_USER = "LOGOUT_USER";

export const PREPARE_AUDIO_FOR_DOWNLOAD = "PREPARE_AUDIO_FOR_DOWNLOAD";